| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::IOFileSettings Class Reference

## Public Attributes
int | AVIFCompression = 75
| AVIF quality value.
bool | AVIFLossLess = true
| AVIF lossless compression.
int | HEIFCompression = 75
| HEIF quality value.
bool | HEIFLossLess = true
| HEIF lossless compression.
int | JPEG2000Compression = 75
| JPEG2000 quality value.
bool | JPEG2000LossLess = true
| JPEG2000 lossless compression.
int | JPEGCompression = 75
| JPEG quality value.
int | JPEGSubSampling = 1
| JPEG chroma sub-sampling value.
int | JXLCompression = 75
| JXL quality value.
bool | JXLLossLess = true
| JXL lossless compression.
int | PGFCompression = 3
| PGF quality value.
bool | PGFLossLess = true
| PGF lossless compression.
int | PNGCompression = 9
| PNG compression value.
DRawDecoding | rawDecodingSettings
| RAW File decoding options.
QString | rawImportToolIid = QLatin1String("org.kde.digikam.plugin.rawimport.Native")
bool | TIFFCompression = false
| TIFF deflate compression.
bool | useRAWImport = true
| Use Raw Import tool to load a RAW picture.
int | WEBPCompression = 75
| WEBP quality value.
bool | WEBPLossLess = true
| WEBP lossless compression.

## Member Data Documentation

## ◆ JPEGSubSampling

int Digikam::IOFileSettings::JPEGSubSampling = 1

Medium sub-sampling